How to: Setup SQ plugin If conflicting with a plugin

Note: Please note that Rencore will no longer provide updates for SPCAF integration into SonarQube. SPCAF version 7.6.0.0. is the last plugin available, support will continue as we continue to support SPCAF version 7.6.0.0.

If you have conflicting plugins in SonarQube, you will need to do the following in order to fix the conflict:

  1. On the SonarQube Server stop the SonarQube Service.
    • From "Services" right click the SonarQube service and select "Stop".
  2. Remove any plugins that are causing the conflict from the $SONARQUBE_HOME/extensions/plugins directory:
    • So if it is an existing Js plugin issue with the SPCAF Js plugin. Simply remove the SPCAF Js plugin.
  3. Start the SonarQube service.
    • From "Services" right click the SonarQube service and select "Start".
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.